body {
    font-family: 'Courier New', monospace;
	background-color: #1d1d1d;
    background-image: url('../media/backgrounds/matrix.gif');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

@font-face {
    font-family: "whiterabbit";
    src: url("../fonts/WhiteRabbit.woff2") format("woff2");
}

.box {
    max-width: 1050px;
    margin: 0px auto;
    display: grid;
    grid-gap: 10px;
    grid-template-columns: 200px minmax(0, 1fr) auto;
    grid-template-rows: auto max-content 1fr auto;
}

nav, main, .litem1, .litem2, aside.right-sidebar {
    border: lime 2px solid;
    background-color: #1d1d1d;
    border-radius: 5px;
    padding: 5px 5px;
    color: lime;
}

header {
    grid-row: 1 / 2;
    grid-column: 1 / 4;
}

.left-sidebar {
    grid-row: 2 / 4;
    grid-column: 1 / 2;
    display: flex;
    flex-direction: column;
    gap: 5px;
    flex-shrink: 0;
}

main {
    grid-row: 2 / 4;
    grid-column: 2 / 3;
    height: max-content;
    margin: 0;
}

aside.right-sidebar {
    grid-row: 2 / 4;
    grid-column: 3 / 4;
    height: max-content;
    display: flex;
    flex-direction: column;
    gap: 5px;
    flex-shrink: 0;
}

aside.right-sidebar p {
    margin: 0;
}

header h1 {
    margin: 10px 0;
    color: lime;
    margin: 5px auto;
    text-align: center;
    font-family: whiterabbit;
}

main p {
    margin: 5px 0;
    font-family: whiterabbit;
    line-height: 1;
}

nav h4 {
    text-align: center;
    text-shadow: 2px 2px darkgreen;
}

.litem1 p {
    text-align: center;
    margin: 0;
}

.litem2 p {
    text-align: center;
    margin: 0;
}

footer {
    grid-row: 4 / 5;
    grid-column: 1 / 4;
}

footer p {
    background: #57575780;
    border-radius: 10px;
    width: max-content;
    margin: 0 auto;
    font-weight: bold;
    font-size: 11px;
    padding: 5px;
    color: lime;
}

ul {
    padding: 0;
    margin: 10px 0;
    
}

ul li::marker {
    content: none;
}

nav a:link {
    color: #54ff82;
    font-weight: bold;
}

nav a:visited {
    color: #669e65
}

nav a:hover {
    color: #97d94c;
}

nav a:active {
    color: #0008ff;
}

h4 {
    margin: 10px 0;
}

img {
    max-width: 100%;
    display: block;
    margin: 0 auto;
}